Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document.io
Enum ReadWriteFormat

    java.lang.Object
      java.lang.Enum<ReadWriteFormat>
          info.bioinfweb.treegraph.document.io.ReadWriteFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ReadWriteFormat>

    public enum ReadWriteFormat

extends java.lang.Enum<ReadWriteFormat>

Enum Constant Summary
`NEWICK`
`NEXUS`
`PHYLO_XML`
`TGF`
`XTG`

Method Summary
`static ReadWriteFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ReadWriteFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XTG

    public static final ReadWriteFormat XTG

### NEXUS

    public static final ReadWriteFormat NEXUS

### NEWICK

    public static final ReadWriteFormat NEWICK

### TGF

    public static final ReadWriteFormat TGF

### PHYLO_XML

    public static final ReadWriteFormat PHYLO_XML

Method Detail

### values

    public static ReadWriteFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReadWriteFormat c : ReadWriteFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReadWriteFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD